# yamllint disable
# maps eslint rule ids to semgrep rules
# License: MIT (c) GitLab Inc.
# yamllint enable
---
eslint:
  native_id:
    type: "eslint_rule_id"
    name: "ESLint rule ID/$ID"
    value: "$ID"
  mappings:
  - id: "react-dangerouslysetinnerhtml"
    rules:
    - path: "javascript/react/rule-dangerouslysetinnerhtml"
      primary_id: "eslint.react-dangerouslysetinnerhtml"
      id: "eslint.react-dangerouslysetinnerhtml"
  - id: "detect-eval-with-expression"
    rules:
    - path: "javascript/eval/rule-eval-with-expression"
      primary_id: "eslint.detect-eval-with-expression"
      id: "eslint.detect-eval-with-expression"
  - id: "detect-pseudoRandomBytes"
    rules:
    - path: "javascript/random/rule-pseudo-random-bytes"
      primary_id: "eslint.detect-pseudoRandomBytes"
      id: "eslint.detect-pseudoRandomBytes"
  - id: "detect-disable-mustache-escape"
    rules:
    - path: "javascript/xss/rule-mustache-escape"
      primary_id: "eslint.detect-disable-mustache-escape"
      id: "eslint.detect-disable-mustache-escape"
  - id: "detect-non-literal-require"
    rules:
    - path: "javascript/require/rule-non-literal-require"
      primary_id: "eslint.detect-non-literal-require"
      id: "eslint.detect-non-literal-require"
  - id: "detect-buffer-noassert"
    rules:
    - path: "javascript/buf/rule-buffer-noassert"
      primary_id: "eslint.detect-buffer-noassert"
      id: "eslint.detect-buffer-noassert"
  - id: "detect-possible-timing-attacks"
    rules:
    - path: "javascript/timing/rule-possible-timing-attacks"
      primary_id: "eslint.detect-possible-timing-attacks"
      id: "eslint.detect-possible-timing-attacks"
  - id: "detect-non-literal-regexp"
    rules:
    - path: "javascript/dos/rule-non-literal-regexp"
      primary_id: "eslint.detect-non-literal-regexp"
      id: "eslint.detect-non-literal-regexp"
  - id: "detect-non-literal-fs-filename"
    rules:
    - path: "javascript/pathtraversal/rule-non-literal-fs-filename"
      primary_id: "eslint.detect-non-literal-fs-filename"
      id: "eslint.detect-non-literal-fs-filename"
  - id: "detect-new-buffer"
    rules:
    - path: "javascript/buf/rule-detect-new-buffer"
      primary_id: "eslint.detect-new-buffer"
      id: "eslint.detect-new-buffer"
